#!/bin/sh # This script is a modified copy of the pkg-install script # from the original ircd-hybrid port. if [ "x$2" != "xPRE-INSTALL" ]; then exit 0; fi if ! which -s pw ; then cat < /dev/null ; then echo "You already have a group \"$group\", so I will use it." else if pw groupshow $gid 2> /dev/null ; then echo "You already have a gid \"$gid\". Please create a user \"$group\"" echo "with a default group of \"$group\"." exit 1 fi echo "You need a group \"$group\"." if which -s pw ; then pw groupadd $group -g $gid || exit echo "Done." else echo "Please create it, and try again." if ! pw usershow $user 2> /dev/null ; then echo "While you're at it, please create a user \"$user\"" echo 'too, with a default group of "$group".' fi exit 1 fi fi if pw usershow $user 2> /dev/null ; then echo "You already have a user \"$user\", so I will use it." else if pw usershow $uid 2> /dev/null ; then echo "You already have a uid \"$uid\". Please create a user \"ircd\"" echo "with a default group of \"$group\"." exit 1 fi echo "You need a user \"$user\"." if which -s pw; then pw useradd $user -g $group -u $uid -h - -d $home \ -s "$shell" -c "$gecos" || exit echo "Done." else echo "Please create it, and try again." exit 1 fi fi es/elliptic-6.5.3'>dependabot/npm_and_yarn/devel/electron4/files/elliptic-6.5.3 FreeBSD GNOME current development ports (https://github.com/freebsd/freebsd-ports-gnome)
aboutsummaryrefslogtreecommitdiffstats
path: root/mail/squirrelmail-check_quota-plugin
Commit message (Collapse)AuthorAgeFilesLines
* onvert to UCL & cleanup pkg-message (categories l-m)mat2019-08-141-2/+6
|
* Reset ports of itetcu@ after taking in his commit bit for safekeeping.rene2017-02-281-1/+1
| | | | With hat: portmgr-secretary
* Remove deprecated @dirrmpawel2016-01-181-6/+0
| | | | | | PR: 205835 Submitted by: myself Approved by: maintainer timeout
* Move plugin installation into the plist, rather than post-install, soadamw2014-08-281-4/+3
| | | | | | that it will work when installed from binary pkg. Bump PORTREVISION on all plugins for this.
* - Stage supportmiwi2014-02-181-2/+0
| | | | - While here cleanup some whitespaces / dependencys
* It turns out that letting bsd.squirrelmail.mk define CATEGORIESadamw2013-12-121-1/+2
| | | | | | | | | | broke PKGORIGIN, which is created in bsd.port.pre.mk. Oops. So, I've added CATEGORIES back to all the plugins, and bumped PORTREVISION so that packages with correct origins can be created. Thanks to: Stefan Bethke <stb@lassitu.de>
* Create a generic PKGMESSAGE, and use it where appropriate.adamw2013-12-092-5/+5
| | | | | | | | | | Make sure that bsd.port.pre.mk is included before bsd.squirrelmail.mk. For ports with maintainers, I haven't switched you to the new PKGMESSAGE, but I have corrected paths in pkg-message.in where necessary. I also got a little over-zealous in cleaning redundant definitions from the headers. Apologies in advance if this rubs you the wrong way.
* Add NO_STAGE all over the place in preparation for the staging support (cat: ↵bapt2013-09-211-0/+1
| | | | mail)